define([
    'jquery',
    'matchMedia',
    'lazyload',
    'plyr',
    'jquery/ui',
    'swiper_4_0_6'
], function ($, mediaCheck, lazy, plyr, ui, Swiper) {
    'use strict';

    $.widget('filoblu.mainSliderWidget', {

        _create: function () {

            var self = this,
                thisSlider = self.element,
                thisAutoplay = self.options.autoplay,
                originalDirection = self.options.direction;


            if( $('.swiper-slide',this.element).length > 1 ) {

                var mainSlider = new Swiper($(thisSlider),{
                    grabCursor:true,
                    navigation:{
                        prevEl: self.options.prevButton,
                        nextEl: self.options.nextButton
                    },
                    pagination: {
                        el: self.options.paginationContainer
                    }
                });

                // mainSlider.on('slideChangeTransitionEnd', function() {
                //     var toSlide = $(mainSlider.slides[mainSlider.realIndex]),
                //         videoId;
                //     if (toSlide.hasClass('video-slide')) {
                //         videoId = '#' + $('.video-plyr',toSlide).attr('id');
                //         plyr.pause();
                //         console.log($(videoId));
                //     }
                // });

            }

            $(window).on('resize',function(){

            });
        }

    });

    return $.filoblu.mainSliderWidget;
});
